2021-04-01 14:00:23 UTC
77.4 MB
ed89041433a031cafc0a0f19cfe573c31688d377
DOCKER_TLS_CERTDIR/certs
DOCKER_VERSION20.10.5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:ca3cd42a7c9525f6ce3d64c1a70982613a8235f0cc057ec9244052921853ef15 - 3.46% (2.68 MB)
[#001] sha256:fbd7def92be556a646233a9d5bc8f76f71c7325a19dca8d162fcbca9ea751236 - 2.53% (1.96 MB)
[#002] sha256:071c71d4725b06414fd24a3abd3bee2a59205a840d8b25efc9e7212c24f4dd76 - 0.0% (155 Bytes)
[#003] sha256:f725c26e6c961574bf4f3724a00437531fe5516503dea1a400472aaab84aa04b - 85.86% (66.5 MB)
[#004] sha256:3ca6f85a137108b8770a52db03fd0fd44a040154d6fcdec924b5a35a809ddcbc - 0.0% (544 Bytes)
[#005] sha256:f46e76fe2b4373aec860cb8939d340af3ae94fdc318eedf36a3721cfb1bf7c20 - 0.0% (1016 Bytes)
[#006] sha256:ea4bb38bf23d36b2dd31bb0d551d5ccfd0a39ad22ff52a12fd1ab2bfa69f66db - 0.0% (150 Bytes)
[#007] sha256:0dcc74ae0eadc2efb98a9862c135052a1c21776a5a8cb43c1022ecb4a69dddb0 - 8.14% (6.3 MB)
[#008] sha256:5738fafa691319a8faf0470e69146f25fd5d7a86e56741e7b8f7ec22f2d48b84 - 0.0% (1.28 KB)
[#009] sha256:39ab0cc2e8bbf1b2f8f3db6d15b9fe6ff9e660da3496047060be8ebaf3873007 - 0.0% (930 Bytes)
[#010] sha256:dac7bd276fd55d012fbce08352c662637823534bffad82ca80323caaf89755fa - 0.0% (2.45 KB)
/bin/sh -c #(nop) ADD file:7119167b56ff1228b2fb639c768955ce9db7a999cd947179240b216dfa5ccbb9 in /
2021-03-31 20:10:06 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-04-01 14:00:03 UTC/bin/sh -c apk add --no-cache ca-certificates openssh-client
2021-04-01 14:00:04 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2021-04-01 14:00:04 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.5
2021-04-01 14:00:11 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.5.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.5.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.5.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.5.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2021-04-01 14:00:11 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2021-04-01 14:00:11 UTC/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/
2021-04-01 14:00:12 UTC/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs
2021-04-01 14:00:13 UTC/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client
2021-04-01 14:00:13 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-04-01 14:00:13 UTC/bin/sh -c #(nop) CMD ["sh"]
2021-04-01 14:00:19 UTC/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi
2021-04-01 14:00:20 UTC/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid
2021-04-01 14:00:21 UTC/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377
2021-04-01 14:00:22 UTC/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind
2021-04-01 14:00:22 UTC/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/
2021-04-01 14:00:22 UTC/bin/sh -c #(nop) VOLUME [/var/lib/docker]
2021-04-01 14:00:23 UTC/bin/sh -c #(nop) EXPOSE 2375 2376
2021-04-01 14:00:23 UTC/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]
2021-04-01 14:00:23 UTC/bin/sh -c #(nop) CMD []
2021-04-01 13:19:22 UTC
71.6 MB
ed89041433a031cafc0a0f19cfe573c31688d377
DOCKER_TLS_CERTDIR/certs
DOCKER_VERSION20.10.5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:912815139b61c8926da31f7701f0a924e7964e3713052bf1a53193a4562157f6 - 3.61% (2.59 MB)
[#001] sha256:4c9ae8fa0eec8970b4efc19ad3bb6efe75da4ba6c2484d6104ac8a5d4dcefa5b - 2.74% (1.96 MB)
[#002] sha256:6bf55a957502d5c4265115c7d959e01b52552b726fd320db2b0bab15365f0069 - 0.0% (153 Bytes)
[#003] sha256:b8b6b0e45391ddf63837646cdc3ed7eca01744be743ef2f2bfc0f464a24da6c0 - 84.96% (60.8 MB)
[#004] sha256:804b0590ed030ca2477043adb258f84eefe2196e41175fb86d9d79ea7b4f99cc - 0.0% (542 Bytes)
[#005] sha256:8b14f5baa86ccb716099e65f62cc70b38b923c7f58640f4759bd6a38e57a351c - 0.0% (1017 Bytes)
[#006] sha256:50df82bda0265e738eaabcb0367f8de78e90b4dff4ab849162a3a600a3b4b828 - 0.0% (150 Bytes)
[#007] sha256:9dc45ae6a51b1626108430a9de3df3b52ea75b06549211efb1a03a4603faabb6 - 8.68% (6.21 MB)
[#008] sha256:19cc1e6fda685d9c056d92a8791a3ad6bcba95a24559ce04a7159ae830e239c3 - 0.0% (1.28 KB)
[#009] sha256:14ab3fb0455a7ba088581f80bf45bc129bd3dffcde348f69a3ddc8ae1f8efbdf - 0.0% (930 Bytes)
[#010] sha256:4809319b5617b2be0d0249b0bb3c9002e32a88154efe1359e03541fef6d89b00 - 0.0% (2.45 KB)
/bin/sh -c #(nop) ADD file:3b16ffee2b26d8af5db152fcc582aaccd9e1ec9e3343874e9969a205550fe07d in /
2021-03-31 17:21:23 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-04-01 13:18:38 UTC/bin/sh -c apk add --no-cache ca-certificates openssh-client
2021-04-01 13:18:40 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2021-04-01 13:18:41 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.5
2021-04-01 13:18:49 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.5.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.5.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.5.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.5.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2021-04-01 13:18:51 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2021-04-01 13:18:52 UTC/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/
2021-04-01 13:18:53 UTC/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs
2021-04-01 13:18:55 UTC/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client
2021-04-01 13:18:56 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-04-01 13:18:57 UTC/bin/sh -c #(nop) CMD ["sh"]
2021-04-01 13:19:09 UTC/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi
2021-04-01 13:19:12 UTC/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid
2021-04-01 13:19:13 UTC/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377
2021-04-01 13:19:17 UTC/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind
2021-04-01 13:19:18 UTC/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/
2021-04-01 13:19:18 UTC/bin/sh -c #(nop) VOLUME [/var/lib/docker]
2021-04-01 13:19:19 UTC/bin/sh -c #(nop) EXPOSE 2375 2376
2021-04-01 13:19:21 UTC/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]
2021-04-01 13:19:22 UTC/bin/sh -c #(nop) CMD []
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.